Skip to content

Veo3

Veo 3 by Google, the most advanced AI video generation model in the world. With sound on!

POST https://llm.siraya.ai/v1/videos/generations
Authorization string Required
Your API Key (e.g., `Bearer `).

Body

model string
The model ID: `Header`.
prompt string
A text description for the video content.
seconds integer Default: 8
The duration of the video in seconds. Possible enum values: 4, 6, 8
negative_prompt string
Negative prompt describing content to exclude.
seed integer
Random seed for reproducibility. The same seed produces the same video.
image_url string
(Optional) Input image URL.
size string Default: "16:9"
The size of the generated video.
extra_body map[string]any
Specific parameters.
curl https://llm.siraya.ai/v1/videos/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <API_KEY>" \
  -d '{
    "model": "veo-3.0-generate-001",
    "prompt": "A cute baby sea otter",
  }'
import requests

url = "https://llm.siraya.ai/v1/videos/generations "
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API_KEY>"
}
data = {
    "model": "veo-3.0-generate-001",
    "prompt": "A cute baby sea otter"
}

response = requests.post(url, headers=headers, json=data)
print(response.json())